## net.sourceforge.pmd.dfa.report
Class ReportVisitor

    java.lang.Object
      net.sourceforge.pmd.dfa.report.ReportVisitor

Direct Known Subclasses:
  ReportHTMLPrintVisitor

public abstract class ReportVisitor
extends java.lang.Object

Constructor Summary
`ReportVisitor()`

Method Summary
`void` `visit(AbstractReportNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportVisitor

    public ReportVisitor()

Method Detail

### visit

    public void visit(AbstractReportNode node)

Copyright © 2002-2006 InfoEther. All Rights Reserved.